## bluez-cups 4.60-maemo1

=== debian/changelog ===
bluez-cups (4.60-maemo1) stable-security; urgency=high

  * fixed to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat, 03 Jul 2010 23:26:00 +0200

bluez (4.60-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as an uploader.

 -- Andres Salomon <dilinger@debian.org>  Sun, 14 Feb 2010 03:44:26 +0000

bluez (4.60-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add Nobuhiro Iwamatsu to Uploaders (Closes #564569).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 23 Jan 2010 16:03:01 +0900

bluez (4.57-1) unstable; urgency=low

  * New upstream bug fix release.

 -- Andrea Veri <andrea.veri89@gmail.com>  Thu, 12 Nov 2009 21:27:54 +0100

bluez (4.56-2) unstable; urgency=low

  * debian/control:
    - makedev re-added as alternate depend of udev, as
      it's needed by postints. Thanks to Guillem Jover
      for the report. (Closes: #546860)

 -- Andrea Veri <andrea.veri89@gmail.com>  Wed, 14 Oct 2009 00:19:19 +0200

bluez (4.56-1) unstable; urgency=low

  * New upstream release. (Closes: #539361)
  * rctest man page is no more missing. (Closes: #535949)
  * debian/control:
    - bumped standards-version to 3.8.3. No changes needed.
    - added myself into uploaders plus DM tag.
    - removed makedev depends. (Closes: #546860)
  * debian/copyright:
    - added missing copyright holders.
  * debian/patches/001_agent_fixes.patch:
    - removed, applied upstream
  * debian/patches/002_a2dpsink_marginal.patch:
    - removed, applied upstream.
  * debian/patches/005_l2ping_section.patch:
    - removed, applied upstream.
  * debian/rules:
    - removed the hack to have man page installed correctly.
      It has been fixed upstream and points to the right section. (8)
  * debian/libbluetooth3.symbols:
    - refreshed.
  * debian/bluez.examples:
    - test/test-* removed and added all needed examples by hand to avoid
      the installation of useless stuff.

 -- Andrea Veri <andrea.veri89@gmail.com>  Mon, 12 Oct 2009 15:40:02 +0200

bluez (4.42-2) unstable; urgency=low

  * Fix "Bashisms in init script" (Closes: #534511)
  * Handle upgrade of old /etc/modprobe.d/bluez (Closes: #523050)
  * Conflict/Replace bluez-audio in bluez (Closes: #535089)

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 30 Jun 2009 20:05:13 +0200

bluez (4.42-1) unstable; urgency=low

  * New upstream release
    + drop not needed debian/patches/003_configure_amd64_rpath.patch
  * Provide transitional bluez-audio to migrate to bluez-alsa and
    bluez-gstreamer (Closes: #531449)
  * Install README.Debian in binary bluez (Closes: #532018)
  * Make bluez-{alsa,gstreamer} depend on bluez
  * Switch to group bluetooth from netdev for authorized users
    (Closes: #534118)
  * Mention pand/hidd/dund move to bluez-compat in init script and default
    (Closes: #532622)
  * debian/patches/002_test_agent_newapi.patch port bluetooth-agent to new
    D-Bus API
  * Update to S-V 3.8.2: no changes  
  * Introduce common SSD_OPTIONS in init script and sleep 1 on restart 

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 21 Jun 2009 14:01:04 +0200

bluez (4.40-2) unstable; urgency=low

  * Ship a libbluetooth3.symbols file instead of shlibs
  * Ship more examples from test/, thus suggest: python-gobject and
    python-dbus together with README.examples
  * Provide a script in /lib/udev/bluez for waiting on /usr being available
    and a patch udev rules to use it

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 26 May 2009 00:02:53 +0200

bluez (4.40-1) unstable; urgency=low

  * New upstream release
    - scripts/bluetooth.rules -> scripts/bluetooth-serial.rules
  * Upload to unstable
  * Change usage for hid2hci: install udev rules and issue a warning from init
    script

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 22 May 2009 14:56:07 +0200

bluez (4.34-0exp1) experimental; urgency=low

  * First upload of bluez 4.x (Closes: #499529)
    - include parts of the packaging from ubuntu, thanks!
    - bluez-utils and bluez-libs are now a single source package 
    - libbluetooth2 -> libbluetooth3 bump
    - conflict bluez with bluez-utils (<= 3.36-3)
    - update debian/copyright, thanks to Nobuhiro Iwamatsu
  * Remove hid2hci patches/script
  * Remove broken link to documentation (Closes: #504675)
  * Install a sample commandline agent from test/ into bluetooth-agent
    - add 001_test_agent_default_adapter.patch to get the default adapter
  * Install test/simple-agent and test/list-devices as examples
  * Remove old commented code from maintainer scripts (pcmcia-support postinst
    and bluez preinst)
  * Update watch file to match bluez only
  * Add #DEBHELPER# to debian/bluez-utils.postrm
  * Update to S-V 3.8.1: no changes needed
  * Fix lintian warnings:
    - add -e to remaining maintainer scripts
    - remove full path to update-rc.d in debian/bluez.postinst
    - override "bluez-utils: maintainer-script-empty postrm" for transitional
      bluez-utils postrm
  * Use 7 in debian/compat
  * Fix debian/bluez.preinst to use dpkg-query, thus removing the lintian
    override

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 01 Apr 2009 12:20:01 +0200

bluez (4.29-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #326811)
    - Use AVRCP version 1.0 for now.
    - Decrease AVDTP idle timeout to one second.
    - Delay AVRCP connection when remote device connects A2DP.
    - Add workaround for AVDTP stream setup with broken headsets.
    - Add missing three-way calling feature bit for Handsfree.
    - Fix handsfree callheld indicator updating.
    - Fix parsing of all AT commands within the buffer.
    - Fix authentication replies when disconnected.
    - Fix handling of debug combination keys.
    - Fix handling of changed combination keys.
    - Fix handling of link keys when using no bonding.
    - Fix handling of invalid/unknown authentication requirements.
    - Fix closing of L2CAP raw socket used for dedicated bonding. 


