=== debian/control ===
Source: bluez-cups
Section: admin
Priority: optional
Maintainer: Thomas Maass <inyourface@gmx.de>
DM-Upload-Allowed: yes
Build-Depends: debhelper7 (>= 7),
               autotools-dev,
               cdbs,
               flex,
               bison,
               gstreamer-tools,
               libasound2-dev,
               libbluetooth3-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               libsndfile1-dev,
               libusb-dev,
Vcs-Svn: svn://svn.debian.org/svn/pkg-bluetooth/packages/bluez/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
Homepage: http://www.bluez.org
Standards-Version: 3.8.3

Package: bluez-cups
Architecture: any
Depends: ${shlibs:Depends}, cups, ${misc:Depends}
Description: Bluetooth printer driver for CUPS
 This package contains a driver to let CUPS print to Bluetooth-connected
 printers.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
